package helper

import (
	"database/sql"
	"fmt"

	_ "github.com/go-sql-driver/mysql"
)

// docker run --name mysqldb -e MYSQL_ROOT_PASSWORD=rootpw -p 3307:3306 -d mysql:latest
func ConnectDB() {
	db_string := fmt.Sprintf("%s:%s@tcp(%s:%s)/%s", Db_User, Db_Pass, Db_Host, Db_Port, Db_Default_Db)
	Db, err := sql.Open("mysql", db_string)
	if err != nil {
		LogErrorFatal(err)
	}
	defer Db.Close()
}
